Sensor upgrade from 5.x to 7.x fails with error "cannot upgrade software on sensor, errTransport-Application processing the request respondend unexpectedly"

Document

Thu, 06/28/2012 - 02:16
Jun 28th, 2012
User Badges:
  • Bronze, 100 points or more
Table of Contents 

Problem

While trying to upgrade IPS sensor the upgarde fails with the error "cannot upgrade software on sensor, errTransport-Application processing the request respondend unexpectedly".


Resolution

This error is seen when we try to upgrade the IPS sensor from version 5.x to 7.x directly. It is not possible to upgrade IPS sensor from version 5.x to 7.x. The sensor first needs to be upgraded to version 6.x and the to version 7.x for a smooth upgrade.


Perform the following steps to upgrade the sensor:


1)Download the appropriate file (for example,  IPS-K9-6.2-1-E3.pkg) to an FTP, SCP, HTTP, or HTTPS server that is  accessible from your sensor.

2)Log in to the CLI using an account with administrator privileges.

3)Enter configuration mode using the command configure terminal. (sensor# Configure terminal)

4)Upgrade the sensor using the command upgrade source-url.(source-url is the location of the upgrade to retrieve.)

5)Enter the password when prompted.

6)Enter yes to complete the upgrade.


This completes the sensor upgrade procedure.


Source:https://supportforums.cisco.com/thread/2151400?tstart=0

Loading.

Actions

This Document